params for init envoy context

### Hierarchy

- Object
  - EnvoyContextInit

## Index

### Properties

- Object
- constructor
- directMode
- envoyEgressAddr
- envoyEgressPort
- envoyManagedHosts
- meta

### Methods

- hasOwnProperty
- isPrototypeOf
- propertyIsEnumerable
- toLocaleString
- toString
- valueOf

## Properties

### Object

Object: ObjectConstructor

- Defined in /home/travis/build/Tubitv/envoy-node/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:245

Provides functionality common to all JavaScript objects.

### constructor

constructor: Function

Inherited from Object.constructor

- Defined in /home/travis/build/Tubitv/envoy-node/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:100

The initial value of Object.prototype.constructor is the standard built-in Object constructor.

### Optional directMode

directMode: undefined | true | false

- Defined in envoy-context.ts:155

For dev or test environment, we usually don't have Envoy running. By setting directMode = true will make all the traffic being sent directly. If you set directMode to true, envoyManagedHosts will be ignored and set to an empty set.

### Optional envoyEgressAddr

envoyEgressAddr: undefined | string

- Defined in envoy-context.ts:129

optional egress address information if not specified, it will be read from meta / environment variable ENVOY_EGRESS_ADDR / default value: 127.0.0.1 (one after another)

### Optional envoyEgressPort

envoyEgressPort: undefined | number

- Defined in envoy-context.ts:122

optional egress port information if not specified, it will be read from meta / environment variable ENVOY_EGRESS_PORT / default value: 12345 (one after another)

### Optional envoyManagedHosts

envoyManagedHosts: Set<string>

- Defined in envoy-context.ts:148

For easier migrate service to envoy step by step, we can route traffic to envoy for those service migrated. Fill this set for the migrated service. This field is default to `undefined` which means all traffic will be route to envoy. If this field is set to `undefined`, this library will also try to read it from `x-tubi-envoy-managed-host`. You can set in envoy config, like this:

    request_headers_to_add:
    - key: x-tubi-envoy-managed-host
      value: hostname:12345
    - key: x-tubi-envoy-managed-host
      value: foo.bar:8080

If you set this to be an empty set, then no traffic will be route to envoy.

### meta

meta: HttpHeader | Metadata

- Defined in envoy-context.ts:115

you can either give HTTP header for grpc.Metadata, it will be converted accordingly.

## Methods

### hasOwnProperty

- hasOwnProperty(v: string): boolean

- Inherited from Object.hasOwnProperty

  Overrides Object.hasOwnProperty

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:115

  Determines whether an object has a property with the specified name.

  #### Parameters

  - ##### v: string

    A property name.

  #### Returns boolean

### isPrototypeOf

- isPrototypeOf(v: Object): boolean

- Inherited from Object.isPrototypeOf

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:121

  Determines whether an object exists in another object's prototype chain.

  #### Parameters

  - ##### v: Object

    Another object whose prototype chain is to be checked.

  #### Returns boolean

### propertyIsEnumerable

- propertyIsEnumerable(v: string): boolean

- Inherited from Object.propertyIsEnumerable

  Overrides Object.propertyIsEnumerable

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:127

  Determines whether a specified property is enumerable.

  #### Parameters

  - ##### v: string

    A property name.

  #### Returns boolean

### toLocaleString

- toLocaleString(): string

- Inherited from Object.toLocaleString

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:106

  Returns a date converted to a string using the current locale.

  #### Returns string

### toString

- toString(): string

- Inherited from Object.toString

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:103

  Returns a string representation of an object.

  #### Returns string

### valueOf

- valueOf(): Object

- Inherited from Object.valueOf

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:109

  Returns the primitive value of the specified object.

  #### Returns Object

Generated using TypeDoc